<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Welcome extends CI_Controller {

	function __construct()
	{
			parent::__construct();
			$this->load->model("fun");
	}


	public function index()
	{
		$this->load->view('welcome_message');
	}

	public function whatever()
	{
		$data['result']= $this->fun->get_books();
		$this->load->view('mystuff',$data);
	}

	public function fun1()
	{
		$data['title']= 'Fun1 is Great';
		$data['heading']= 'Welcome to the Great Fun1';
		$data['view']= 'fun1';
		$data['result']= $this->fun->get_books();
		$this->load->view('main_template',$data);
	}

	public function fun2()
	{
		$data['title']= 'Fun2 is Great';
		$data['heading']= 'Welcome to the Wonderful Fun2';
		$data['view']= 'fun2';
		$this->load->view('main_template',$data);
	}

	public function funform()
	{
		$data['title']= 'The Fun Form';
		$data['heading']= 'Welcome to the Fun Form';
		$data['view']= 'funform';

		$this->load->helper(array('form', 'url'));
		$this->load->library('form_validation');

		$this->form_validation->set_rules('username', 'Username', 'trim|required|min_length[5]|max_length[12]|is_unique[booksdb.book.title]|xss_clean');
		$this->form_validation->set_rules('password', 'Password', 'required|matches[passconf]');
		$this->form_validation->set_rules('passconf', 'Password Confirmation', 'required');
		$this->form_validation->set_rules('email', 'Email', 'required|valid_email');

		if ($this->form_validation->run() == FALSE)
		{
			$this->load->view('main_template',$data);
		}
		else
		{
			$data['title']= 'Success';
			$data['heading']= 'Welcome to Success';
			$data['view']= 'formsuccess';

			$this->load->view('main_template',$data);
		}
	}
}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */
